# salt.states.macdefaults

## Writing/reading defaults from a macOS minion

salt.states.macdefaults.absent(name, domain, user=None)

  Make sure the defaults value is absent

  name

    The key of the given domain to remove

  domain

    The name of the domain to remove from

  user

    The user to write the defaults to

salt.states.macdefaults.write(name, domain, value, vtype='string', user=None)

  Write a default to the system

  name

    The key of the given domain to write to

  domain

    The name of the domain to write to

  value

    The value to write to the given key

  vtype

    The type of value to be written, valid types are string, data, int[eger], float, bool[ean], date, array, array-add, dict, dict-add

  user

    The user to write the defaults to